Module java.desktop
Package javax.swing.plaf.basic

## Class BasicComboBoxUI.PropertyChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxUI.PropertyChangeHandler

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Direct Known Subclasses:
  `MetalComboBoxUI.MetalPropertyChangeListener`

Enclosing class:
  BasicComboBoxUI

    public class BasicComboBoxUI.PropertyChangeHandler
    extends Object
    implements PropertyChangeListener

This listener watches for bound properties that have changed in the combo box.

Subclasses which wish to listen to combo box property changes should call the superclass methods to ensure that the combo box ui correctly handles property changes.

This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

See Also:
  `BasicComboBoxUI.createPropertyChangeListener()`

### Constructor Summary

Constructors
`PropertyChangeHandler()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.beans.PropertyChangeListener

`propertyChange`

### Constructor Detail

#### PropertyChangeHandler

    public PropertyChangeHandler()